var globalWindow = Ti.UI.createWindow({
	backgroundColor: '#fff'
});

// Global namespace
var App = {};

// Initial Window
App.homeWindow = Ti.UI.createWindow({
	title: 'Home Window'
});

// NavGroup
App.nav = Ti.UI.iPhone.createNavigationGroup({
   	window: App.homeWindow
});

// Module loader / helper
App.loadPage = function(_name, _params) {
	var newModule = require('modules/' + _name);
	
	newModule.load(App, _params);
	
	return newModule;
};

/**
 * Initial page
 */
var data = [
	{ title: 'One' },
	{ title: 'Two' },
	{ title: 'Three' },
];

var table = Ti.UI.createTableView({
	data: data
});

table.addEventListener('click', function(e) {
	App.loadPage('someModule', {
		title: e.row.title
	});
});

App.homeWindow.add(table);

globalWindow.add(App.nav);
globalWindow.open();

// These don't work when going back from a page in the nav stack
// App.homeWindow.addEventListener('focus', function() { alert('homeWindow was focused'); });
// globalWindow.addEventListener('focus', function() { alert('homeWindow was focused'); });
