// Private
var win = Ti.UI.createWindow({ backgroundColor: '#eee' }),
	scrollable = Ti.UI.createScrollableView(),
	close = null;

// Public
exports.load = function(_app, _params) {
	win.title = _params.title;
	
	close = Ti.UI.createButton({
		title: 'close',
		width: '50%',
		height: 75
	});
	
	// Closing the window means it will never get released
	// NOTE: It will get released if you hit the auto generated back button.
	close.addEventListener('click', function() {
		_app.nav.close(win);
		// None of these free up memory:
		win = null;
		scrollable = null;
		exports = null;
	});
	
	win.add(scrollable);
	win.add(close);
	
	_app.nav.open(win);
};
